package com.zjrs.zwnw.zj.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.zj.dto.*;
import com.zjrs.zwnw.zj.po.GccrcLsPO;
import com.zjrs.zwnw.zj.po.GccrcPO;

import java.util.List;

@Mapper
public interface GccrcMapper extends BaseMapper<GccrcPO> {
    //高层次人才信息查询列表
    public Page<GccrcListDTO> getGccrcListPage(Page<GccrcListDTO> page, @Param("dto") GccrcQueryDTO dto);
    //高层次人才信息查询列表
    public List<ExportGccrcListDTO> exportGccrcList(@Param("dto") GccrcQueryDTO dto);
    //高层次人才信息查询
    public GccrcInfoDTO getGccrcInfo(@Param("dto") GccrcQueryByIdDTO dto);
    public Long getCntByZtid(@Param("dto") GccrcSaveDTO dto);
    //高层次人才信息查询列表
    public Page<GccrcLsPO> getBglsList(Page<GccrcLsPO> page, @Param("dto") GccrcQueryByIdPageDTO dto);
}
